Java.com

Télécharger Aide

Pourquoi le message de mise à jour Java requise Votre version de Java est obsolète ou Votre version de Java n'est pas sécurisée apparaît-il ?


Cet article s'applique aux éléments suivants:
  • Version(s) de Java: 7.0, 7u10+

Java 7 Update 10 (7u10) et les versions plus récentes incluent désormais une fonctionnalité qui avertit l'utilisateur lorsque la version de Java en cours d'utilisation n'est pas à jour ou est vulnérable au niveau de la sécurité, et qu'une version mise à jour qui corrige ces vulnérabilités est disponible pour téléchargement.

Lorsque vous arrivez sur une page qui inclut une application Java et que votre version de Java est considérée comme obsolète, le message Mise à jour Java requise apparaît. Nous vous recommandons de cliquer sur Mettre à jour pour ouvrir la page de téléchargement java.com et obtenir la dernière version de Java. Si vous avez choisi de cliquer sur Bloquer, le plug-in Java sera désactivé dans le navigateur et les applications Java ne pourront pas être exécutées dans celui-ci tant que Java n'aura pas été mis à jour.

Si vous ne parvenez pas à terminer l'installation de Java, vous risquez de rencontrer un problème : vous serez redirigé vers le site java.com lors de la visite d'une page avec une application Java.

Options disponibles dans la boîte de dialogue Mise à jour Java requise

Les versions de Java inférieures à Java 7 Update 25 (7u25) affichent le message Votre version de Java n'est pas sécurisée au lieu de Votre version de Java est obsolète.

  • Mettre à jour
    Sélectionnez cette option pour ouvrir le navigateur Web sur java.com et obtenir la dernière version de Java.
  • Bloquer
    Si vous sélectionnez cette option, le plug-in Java sera bloqué dans le navigateur jusqu'à ce que vous le mettiez à jour vers la dernière version de Java.
  • Ultérieurement
    Lorsque cette option est sélectionnée, le plug-in Java continue de charger. Les paramètres de sécurité décideront si l'application peut être exécutée.
  • Ne plus demander
    Si cette case est cochée, le message Mise à jour Java requise ne s'affichera plus jusqu'à ce que la prochaine version soit disponible. Des mises à jour Java sont mises à disposition tout au long de l'année. Au minimum, des mises à jour de sécurité sont proposées 4 fois par an. Des versions non liées à la sécurité sont en outre mises à disposition si nécessaire.

Le formatage des messages varie en fonction du système d'exploitation.

Windows 7, Windows Vista, Windows 8
Windows 7, Windows 8, Vista - Mise à jour Java requise. Votre version de Java n'est pas à jour. Mettre à jour (recommandé). Obtenez la dernière mise à jour de sécurité à partir du site java.com. Bloquer. Bloquez l'exécution du contenu Java dans cette session du navigateur. Ultérieurement. Continuez et vous recevrez un rappel de mise à jour plus tard.


Pourquoi suis-je toujours redirigé vers le site java.com lors de la visite d'une page avec une application Java ?

La redirection en continu vers le site java.com était un problème connu dans les versions 7u25 et antérieures de Java. Ce problème est résolu à partir de la version 7u40 de Java.
Installer la dernière version de Java
Pour empêcher la redirection vers le site java.com, téléchargez Java 7u40 ou une version supérieure à l'adresse http://java.com.


Pourquoi la boîte de dialogue 'La version de Java est obsolète' apparaît-elle lorsque l'option permettant de rechercher les mises à jour automatiquement n'est pas sélectionnée dans le Panneau de configuration Java ?

L'option permettant de rechercher les mises à jour automatiquement dans le Panneau de configuration Java empêche uniquement la recherche de mises à jour sur une base hebdomadaire et mensuelle. Si vous désélectionnez cette option, cela n'empêchera pas l'affichage de la boîte de dialogue si la version de Java installée est obsolète.


INFORMATIONS TECHNIQUES COMPLÉMENTAIRES

L'environnement JRE expire chaque fois qu'une nouvelle version comportant des corrections de vulnérabilité de sécurité devient disponible. Les mises à jour des patches critiques, qui contiennent des corrections de vulnérabilité de sécurité, sont annoncées un an à l'avance sur Mises à jour des patches critiques, alertes de sécurité et bulletin tiers.

Pour les systèmes qui ne parviennent pas à atteindre les serveurs Oracle, un mécanisme secondaire fait expirer l'environnement JRE Lorsque l'une des deux conditions est remplie (une nouvelle version est mise à disposition ou la date d'expiration est atteinte), Java fournit aux utilisateurs des avertissements et des rappels supplémentaires pour qu'ils effectuent une mise à jour vers la version plus récente. Les utilisateurs recevant des messages relatifs à la date d'expiration sont vivement encouragés à mettre à jour Java vers la dernière version. Pour plus d'informations, reportez-vous à la rubrique relative à la date d'expiration de l'environnement JRE. (docs.oracle.com)

Sélectionner une langue | A propos de Java | Support technique | Développeurs
Politique de confidentialité | Conditions d'utilisation | Trademarks | Avis de non-responsabilité

Oracle